Package org.apache.catalina.ha

## Class ClusterRuleSet

- java.lang.Object
- - org.apache.catalina.ha.ClusterRuleSet

All Implemented Interfaces:
  `RuleSet`

    public class ClusterRuleSet
    extends Object
    implements RuleSet

RuleSet for processing the contents of a Cluster definition element.

Author:
  Peter Rossbach

### Field Summary

Fields
`protected String` `prefix` The matching pattern prefix to use for recognizing our elements.

### Constructor Summary

Constructors
`ClusterRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`ClusterRuleSet​(String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances​(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### prefix

    protected final String prefix

The matching pattern prefix to use for recognizing our elements.

### Constructor Detail

#### ClusterRuleSet

    public ClusterRuleSet()

Construct an instance of this `RuleSet` with the default matching pattern prefix.

#### ClusterRuleSet

    public ClusterRuleSet​(String prefix)

Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

### Method Detail

#### addRuleInstances

    public void addRuleInstances​(Digester digester)

Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.